FMeanVariance Struct Reference
Uncategorized

Functor to be called by mia::filter to evaluate mean and variance of a series of data. More...

`#include <mia/core/statistics.hh>`

Inheritance diagram for FMeanVariance:
[legend]
Collaboration diagram for FMeanVariance:
[legend]

## Public Types

typedef TFilter< std::pair< double, double > >::result_type | result_type
Public Types inherited from TFilter< std::pair< double, double > >
typedef std::pair< double, double > | result_type
| defines the return type of the filter function

## Public Member Functions

template<typename T>
result_type | operator() (const T &data) const

## Detailed Description

Functor to be called by mia::filter to evaluate mean and variance of a series of data.

Definition at line 36 of file statistics.hh.

## Member Typedef Documentation

## result_type

typedef TFilter<std::pair<double,double>>::result_type FMeanVariance::result_type

result type of this functor

- first = mean
- second = variance

Definition at line 42 of file statistics.hh.

## Member Function Documentation

## operator()()

template<typename T>

FMeanVariance::result_type FMeanVariance::operator() | ( | const T & | data | ) | const

Template Parameters

  T | container type T holding the data to be analyzed. Must provide the methods begin() and end() returning a forward_iterator;

Parameters

  data | the data to be anlyzed

Returns
  a std::pair first=mean, second=variance

Definition at line 83 of file statistics.hh.

The documentation for this struct was generated from the following file:

- statistics.hh